tomee-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lazar Kirchev <lazar.kirc...@gmail.com>
Subject Re: Java EE API versions
Date Mon, 22 Aug 2016 12:58:16 GMT
Thanks for the clarification Romain!

On Mon, Aug 22, 2016 at 3:55 PM, Romain Manni-Bucau <rmannibucau@gmail.com>
wrote:

> Hi Lazar,
>
> the feature hasn't been maintained since we got rid of karafee subproject.
> Spec jars have been updated but all are not yet OSGi friendly since we
> didn't get any request on that area. That said not seeing any issue to fix
> that on Geronimo side and I suspect Karaf community will jump on that
> anytime soon.
>
>
> Romain Manni-Bucau
> @rmannibucau <https://twitter.com/rmannibucau> |  Blog
> <https://blog-rmannibucau.rhcloud.com> | Old Wordpress Blog
> <http://rmannibucau.wordpress.com> | Github <https://github.com/
> rmannibucau> |
> LinkedIn <https://www.linkedin.com/in/rmannibucau> | Tomitriber
> <http://www.tomitribe.com> | JavaEE Factory
> <https://javaeefactory-rmannibucau.rhcloud.com>
>
> 2016-08-22 14:51 GMT+02:00 Lazar Kirchev <lazar.kirchev@gmail.com>:
>
> > Hello,
> >
> > I noticed several differences between the versions of the specifications
> in
> > Java EE 7 and the versions described in the javaee-api-feature.xml file
> in
> > javaee-api-7.0.jar file. For example:
> >
> > JTA 1.2 ->
> > mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${
> > geronimo-jta_1.1_spec.version}
> > Servlet 3.1 ->
> > mvn:org.apache.geronimo.specs/geronimo-servlet_3.0_spec/${
> > geronimo-servlet_3.0_spec.version}
> > JSP 2.3 -> mvn:org.apache.geronimo.specs/geronimo-jsp_2.2_spec/1.2
> > EJB 3.2 ->
> > mvn:org.apache.geronimo.specs/geronimo-ejb_3.1_spec/${
> > geronimo-ejb_3.1_spec.version}
> > EL 3.0 ->
> > mvn:org.apache.geronimo.specs/geronimo-el_2.2_spec/${
> > geronimo-el_2.2_spec.version}
> > JAX-RS 2.0 ->
> > mvn:org.apache.geronimo.specs/geronimo-jaxrs_1.1_spec/${
> > geronimo-jaxrs_1.1_spec.version}
> > JAX-WS 2.2 -> mvn:org.apache.geronimo.specs/geronimo-jaxws_2.2_spec/1.2
> > Interceptors 1.2 ->
> > mvn:org.apache.geronimo.specs/geronimo-interceptor_1.1_spec/
> > ${geronimo-interceptor_1.1_spec.version}
> >
> > Is this javaee-api-feature.xml outdated or there is some mapping between
> > the geronimo versions and the actual Java EE API versions?
> >
> > Regards,
> > Lazar
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message